Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.domain
Class EPPDomainStatus

    java.lang.Object
      com.verisign.epp.codec.domain.EPPDomainStatus

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPDomainStatus

extends java.lang.Object
implements EPPCodecComponent

Represents a domain Status.
A domain object MUST always have at least one associated status value. Status values can be set only by the client that sponsors a domain object and by the server on which the object resides. A client can change the status of a domain object using the EPP <update> command. Each status value MAY be accompanied by a string of human-readable text that describes the rationale for the status applied to the object.
A client MUST NOT alter status values set by the server. A server MAY alter or override status values set by a client subject to local server policies. The status of an object MAY change as a result of either a client-initiated transform command or an action performed by a server operator.
Status values that can be added or removed by a client are prefixed with "client". Corresponding status values that can be added or removed by a server are prefixed with "server". Status values that do not begin with either "client" or "server" are server-managed.
Status Value Descriptions:

- clientDeleteProhibited, serverDeleteProhibited Requests to delete the object MUST be rejected.
- clientHold, serverHold
  DNS delegation information MUST NOT be published for the object.
- clientRenewProhibited, serverRenewProhibited
  Requests to renew the object MUST be rejected.
- clientTransferProhibited, serverTransferProhibited
  Requests to transfer the object MUST be rejected.
- clientUpdateProhibited, serverUpdateProhibited
  Requests to update the object (other than to remove this status) MUST be rejected.
- inactive
  Delegation information has not been associated with the object.
- ok
  This is the normal status value for an object that has no pending operations or prohibitions. This value is set and removed by the server as other status values are added or removed.
- pendingCreate, pendingDelete, pendingRenew, pendingTransfer, pendingUpdate
  A transform command has been processed for the object, but the action has not been completed by the server. Server operators can delay action completion for a variety of reasons, such as to allow for human review or third-party action. A transform command that is processed, but whose requested action is pending, is noted with response code 1001.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_DEFAULT_LANG` Default Language -- English "en"
`static java.lang.String` | `ELM_STATUS_CLIENT_DELETE_PROHIBITED` Value of the client delete prohibited status in domain mapping
`static java.lang.String` | `ELM_STATUS_CLIENT_HOLD` Value of the client hold status in domain mapping
`static java.lang.String` | `ELM_STATUS_CLIENT_RENEW_PROHIBITED` Value of the client renew prohibited status in domain mapping
`static java.lang.String` | `ELM_STATUS_CLIENT_TRANSFER_PROHIBITED` Value of the client transfer prohibited status in domain mapping
`static java.lang.String` | `ELM_STATUS_CLIENT_UPDATE_PROHIBITED` Value of the client update prohibited status in domain mapping
`static java.lang.String` | `ELM_STATUS_INACTIVE` Value of the inactive status in domain mapping
`static java.lang.String` | `ELM_STATUS_OK` Value of the OK status in domain mapping
`static java.lang.String` | `ELM_STATUS_PENDING_CREATE` Value of the pending create status in domain mapping
`static java.lang.String` | `ELM_STATUS_PENDING_DELETE` Value of the pending delete status in domain mapping
`static java.lang.String` | `ELM_STATUS_PENDING_RENEW` Value of the pending renew status in domain mapping
`static java.lang.String` | `ELM_STATUS_PENDING_TRANSFER` Value of the pending transfer status in domain mapping
`static java.lang.String` | `ELM_STATUS_PENDING_UPDATE` Value of the pending update status in domain mapping
`static java.lang.String` | `ELM_STATUS_SERVER_DELETE_PROHIBITED` Value of the server delete prohibited status in domain mapping
`static java.lang.String` | `ELM_STATUS_SERVER_HOLD` Value of the server hold status in domain mapping
`static java.lang.String` | `ELM_STATUS_SERVER_RENEW_PROHIBITED` Value of the server renew prohibited status in domain mapping
`static java.lang.String` | `ELM_STATUS_SERVER_TRANSFER_PROHIBITED` Value of the server transfer prohibited status in domain mapping
`static java.lang.String` | `ELM_STATUS_SERVER_UPDATE_PROHIBITED` Value of the server update prohibited status in domain mapping

Constructor Summary
`EPPDomainStatus()` `EPPDomainStatus` default constructor.
`EPPDomainStatus(java.lang.String aStatus)` `EPPDomainStatus` constructor that takes the domain status as argument.
`EPPDomainStatus(java.lang.String aStatus, java.lang.String aDesc)` `EPPDomainStatus` constructor that takes the domain status and a status description.
`EPPDomainStatus(java.lang.String aStatus, java.lang.String aDesc, java.lang.String aLang)` `EPPDomainStatus` constructor that takes the domain status and the language as arguments.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPDomainStatus`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPDomainStatus attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPDomainStatus instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPDomainStatus` compare.
`java.lang.String` | `getDescription()` Gets the status description, which is free form text describing the rationale for the status.
`java.lang.String` | `getLang()` Get language of the status.
`java.lang.String` | `getStatus()` Get domain status.
`void` | `setDescription(java.lang.String aDesc)` Sets the status description, which is free form text describing the rationale for the status.
`void` | `setLang(java.lang.String newLang)` Set language of domain status.
`void` | `setStatus(java.lang.String newStatus)` Set domain status.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_STATUS_OK

    public static final java.lang.String ELM_STATUS_OK

  Value of the OK status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_SERVER_HOLD

    public static final java.lang.String ELM_STATUS_SERVER_HOLD

  Value of the server hold status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_SERVER_RENEW_PROHIBITED

    public static final java.lang.String ELM_STATUS_SERVER_RENEW_PROHIBITED

  Value of the server renew prohibited status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_SERVER_TRANSFER_PROHIBITED

    public static final java.lang.String ELM_STATUS_SERVER_TRANSFER_PROHIBITED

  Value of the server transfer prohibited status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_SERVER_UPDATE_PROHIBITED

    public static final java.lang.String ELM_STATUS_SERVER_UPDATE_PROHIBITED

  Value of the server update prohibited status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_SERVER_DELETE_PROHIBITED

    public static final java.lang.String ELM_STATUS_SERVER_DELETE_PROHIBITED

  Value of the server delete prohibited status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_INACTIVE

    public static final java.lang.String ELM_STATUS_INACTIVE

  Value of the inactive status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_PENDING_CREATE

    public static final java.lang.String ELM_STATUS_PENDING_CREATE

  Value of the pending create status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_PENDING_DELETE

    public static final java.lang.String ELM_STATUS_PENDING_DELETE

  Value of the pending delete status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_PENDING_RENEW

    public static final java.lang.String ELM_STATUS_PENDING_RENEW

  Value of the pending renew status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_PENDING_TRANSFER

    public static final java.lang.String ELM_STATUS_PENDING_TRANSFER

  Value of the pending transfer status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_PENDING_UPDATE

    public static final java.lang.String ELM_STATUS_PENDING_UPDATE

  Value of the pending update status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_CLIENT_HOLD

    public static final java.lang.String ELM_STATUS_CLIENT_HOLD

  Value of the client hold status in domain mapping

  See Also:
    Constant Field Values

### ELM_DEFAULT_LANG

    public static final java.lang.String ELM_DEFAULT_LANG

  Default Language -- English "en"

  See Also:
    Constant Field Values

### ELM_STATUS_CLIENT_TRANSFER_PROHIBITED

    public static final java.lang.String ELM_STATUS_CLIENT_TRANSFER_PROHIBITED

  Value of the client transfer prohibited status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_CLIENT_UPDATE_PROHIBITED

    public static final java.lang.String ELM_STATUS_CLIENT_UPDATE_PROHIBITED

  Value of the client update prohibited status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_CLIENT_RENEW_PROHIBITED

    public static final java.lang.String ELM_STATUS_CLIENT_RENEW_PROHIBITED

  Value of the client renew prohibited status in domain mapping

  See Also:
    Constant Field Values

### ELM_STATUS_CLIENT_DELETE_PROHIBITED

    public static final java.lang.String ELM_STATUS_CLIENT_DELETE_PROHIBITED

  Value of the client delete prohibited status in domain mapping

  See Also:
    Constant Field Values

Constructor Detail

### EPPDomainStatus

    public EPPDomainStatus()

  `EPPDomainStatus` default constructor.

### EPPDomainStatus

    public EPPDomainStatus(java.lang.String aStatus)

  `EPPDomainStatus` constructor that takes the domain status as argument.

  Parameters:
    `aStatus` - String Domain staus

### EPPDomainStatus

    public EPPDomainStatus(java.lang.String aStatus,
                           java.lang.String aDesc)

  `EPPDomainStatus` constructor that takes the domain status and a status description.

  Parameters:
    `aStatus` - Domain status which should be one of the `ELM_STATUS` constants.
    `aDesc` - A description of the status change

### EPPDomainStatus

    public EPPDomainStatus(java.lang.String aStatus,
                           java.lang.String aDesc,
                           java.lang.String aLang)

  `EPPDomainStatus` constructor that takes the domain status and the language as arguments.

  Parameters:
    `aStatus` - Domain status which should be one of the `ELM_STATUS` constants.
    `aDesc` - A description of the status change
    `aLang` - Language of the status description

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPDomainStatus`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPDomainStatus`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the EPPDomainStatus attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - - Root DOM Element to decode EPPDomainStatus from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the EPPDomainStatus instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element - Root DOM Element representing the EPPDomainStatus instance.
  Throws:
    `EPPEncodeException` - - Unable to encode EPPDomainStatus instance.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPDomainStatus` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPDomainStatus` instance to compare with
  Returns:
    DOCUMENT ME!

### getLang

    public java.lang.String getLang()

  Get language of the status.

  Returns:
    String Language

### getStatus

    public java.lang.String getStatus()

  Get domain status.

  Returns:
    String Domain Status

### setLang

    public void setLang(java.lang.String newLang)

  Set language of domain status.

  Parameters:
    `newLang` - String

### setStatus

    public void setStatus(java.lang.String newStatus)

  Set domain status.

  Parameters:
    `newStatus` - String

### getDescription

    public java.lang.String getDescription()

  Gets the status description, which is free form text describing the rationale for the status.

  Returns:
    DOCUMENT ME!

### setDescription

    public void setDescription(java.lang.String aDesc)

  Sets the status description, which is free form text describing the rationale for the status.

  Parameters:
    `aDesc` - status description

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.